Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#3836 closed change (fixed)

Don't set DownloadableSubscription.upgradeRequired in Synchronizer

Reported by: trev Assignee: trev
Priority: P2 Milestone:
Module: Core Keywords:
Cc: Blocked By:
Blocking: #3835 Platform: Unknown / Cross platform
Ready: yes Confidential: no
Tester: Ross Verified working: yes
Review URL(s):

https://codereview.adblockplus.org/29338611/

Description

Background

#3660 removed DownloadableSubscription.upgradeRequired property yet Synchronizer is still setting it.

What to change

Don't set this property, code using it should calculate it itself.

Change History (5)

comment:1 Changed 4 years ago by trev

  • Blocking 3835 added; 2401 removed

comment:2 Changed 4 years ago by trev

  • Review URL(s) modified (diff)
  • Status changed from new to reviewing

comment:3 Changed 4 years ago by abpbot

A commit referencing this issue has landed:
https://hg.adblockplus.org/adblockpluscore/rev/2d4888611240

comment:4 Changed 4 years ago by trev

  • Resolution set to fixed
  • Status changed from reviewing to closed

comment:5 Changed 4 years ago by Ross

  • Tester changed from Unknown to Ross
  • Verified working set

This change looks to be working as expected.

ABP 2.7.2.4166
Firefox 38 / 44 / 45 / Windows 8
Firefox 38 / 44 / OSX 10.11
Firefox 44 / Ubuntu 14.04

Note: See TracTickets for help on using tickets.